import docbook-utils-0.6.14-44.el8

This commit is contained in:
CentOS Sources 2021-09-02 22:18:57 +00:00 committed by Andrew Lukoshko
commit f4b5a0f627
15 changed files with 3613 additions and 0 deletions

1
.docbook-utils.metadata Normal file
View File

@ -0,0 +1 @@
aae596844930e0e4bb7f8824024be0982cc4fa85 SOURCES/docbook-utils-0.6.14.tar.gz

1
.gitignore vendored Normal file
View File

@ -0,0 +1 @@
SOURCES/docbook-utils-0.6.14.tar.gz

59
SOURCES/db2html Executable file
View File

@ -0,0 +1,59 @@
#! /bin/sh
ADMON_GRAPHICS=/usr/share/sgml/docbook/dsssl-stylesheets/images/*.gif
output=docbook2html-dir
skip=0
dbdircleanup=1
outputdone=0
for arg in "$@"
do
if [ $skip -gt 0 ]
then
skip=$(($skip - 1))
continue
fi
case $arg in
-h|--help|-v|--version) break
;;
-n|--nostd|-u|--nochunks) ;;
-o|--output) outputdone=1
;;
-*) skip=1
;;
*) dbdircleanup=0
if [ ${outputdone} -eq 1 ];
then
output="$(echo $arg | sed 's,\.sgml$,,;s,\.sgm$,,;s,\.xml,,')"
outputfile="$basename "$output""
outputdone=2
elif [ ${outputdone} -eq 2 ];
then
outputfile="$(echo $arg | sed 's,\.sgml$,,;s,\.sgm$,,;s,\.xml,,' | \
rev | cut -d'/' -f1 | rev)"
else
output="$(echo $arg | sed 's,\.sgml$,,;s,\.sgm$,,;s,\.xml,,')"
outputfile=$(basename "$output")
fi
;;
esac
done
if [ ${dbdircleanup} -eq 0 ];
then
echo "Output is $output/$outputfile.html"
fi
if [ -d ${output} ]
then
rm -rf ${output}.junk
mv ${output} ${output}.junk
fi
mkdir ${output}
mkdir ${output}/stylesheet-images
cp ${ADMON_GRAPHICS} ${output}/stylesheet-images
jw -f docbook -b html -o ${output} "$@"
if [ ${dbdircleanup} -eq 1 ];
then
rm -rf ${output}
fi

View File

@ -0,0 +1,260 @@
--- Original/backends/dvi 2003-01-13 18:14:10.000000000 +0100
+++ Changes/backends/dvi 2007-05-21 14:10:42.000000000 +0200
@@ -6,31 +6,31 @@
export TEXINPUTS
# Convert to TeX
-$SGML_JADE -t tex -o ${SGML_FILE_NAME}.tex $SGML_ARGUMENTS
+$SGML_JADE -t tex -o "${SGML_FILE_NAME}.tex" $SGML_ARGUMENTS "$SGML_FILE"
if [ $? -ne 0 ]
then exit 1
fi
# Convert from TeX to DVI
-jadetex ${SGML_FILE_NAME}.tex >${SGML_FILE_NAME}.tmp
+jadetex "${SGML_FILE_NAME}.tex" > "${SGML_FILE_NAME}.tmp"
if [ $? -ne 0 ]
then
- cat ${SGML_FILE_NAME}.tmp
- rm ${SGML_FILE_NAME}.tmp
- rm ${SGML_FILE_NAME}.tex
+ cat "${SGML_FILE_NAME}.tmp"
+ rm "${SGML_FILE_NAME}.tmp"
+ rm "${SGML_FILE_NAME}.tex"
exit 2
fi
-rm ${SGML_FILE_NAME}.tmp
+rm "${SGML_FILE_NAME}.tmp"
# If there are unresolved references, re-run jadetex, twice
-if egrep '^LaTeX Warning: There were undefined references.$' ${SGML_FILE_NAME}.log >/dev/null 2>&1
+if egrep '^LaTeX Warning: There were undefined references.$' "${SGML_FILE_NAME}.log" >/dev/null 2>&1
then
- jadetex ${SGML_FILE_NAME}.tex >/dev/null
- jadetex ${SGML_FILE_NAME}.tex >/dev/null
+ jadetex "${SGML_FILE_NAME}.tex" >/dev/null
+ jadetex "${SGML_FILE_NAME}.tex" >/dev/null
fi
-rm ${SGML_FILE_NAME}.log
-rm ${SGML_FILE_NAME}.aux
-rm ${SGML_FILE_NAME}.tex
-rm ${SGML_FILE_NAME}.out
+rm "${SGML_FILE_NAME}.log"
+rm "${SGML_FILE_NAME}.aux"
+rm "${SGML_FILE_NAME}.tex"
+rm "${SGML_FILE_NAME}.out"
exit 0
--- Original/backends/html 2000-07-21 20:15:22.000000000 +0200
+++ Changes/backends/html 2007-05-21 14:11:32.000000000 +0200
@@ -3,7 +3,7 @@
# This program is under GPL license. See LICENSE file for details.
# Convert to HTML
-$SGML_JADE -t sgml $SGML_ARGUMENTS
+$SGML_JADE -t sgml $SGML_ARGUMENTS "$SGML_FILE"
if [ $? -ne 0 ]
then exit 1
fi
--- Original/backends/pdf 2003-03-17 18:47:11.000000000 +0100
+++ Changes/backends/pdf 2007-05-21 14:13:58.000000000 +0200
@@ -6,26 +6,26 @@
export TEXINPUTS
# Convert to TeX
-$SGML_JADE -t tex -o ${SGML_FILE_NAME}.tex $SGML_ARGUMENTS
+$SGML_JADE -t tex -o "${SGML_FILE_NAME}.tex" $SGML_ARGUMENTS "$SGML_FILE"
if [ $? -ne 0 ]
then exit 1
fi
# Convert from TeX to PDF
-pdfjadetex ${SGML_FILE_NAME}.tex >${SGML_FILE_NAME}.tmp
+pdfjadetex "${SGML_FILE_NAME}.tex" > "${SGML_FILE_NAME}.tmp"
if [ $? -ne 0 ]
then
- cat ${SGML_FILE_NAME}.tmp
- rm ${SGML_FILE_NAME}.tmp
- rm ${SGML_FILE_NAME}.tex
+ cat "${SGML_FILE_NAME}.tmp"
+ rm "${SGML_FILE_NAME}.tmp"
+ rm "${SGML_FILE_NAME}.tex"
exit 2
fi
-rm ${SGML_FILE_NAME}.tmp
+rm "${SGML_FILE_NAME}.tmp"
# Unconditionally re-run pdfjadetex, twice
-pdfjadetex ${SGML_FILE_NAME}.tex >/dev/null
-pdfjadetex ${SGML_FILE_NAME}.tex >/dev/null
-rm -f ${SGML_FILE_NAME}.log ${SGML_FILE_NAME}.aux \
- ${SGML_FILE_NAME}.tex ${SGML_FILE_NAME}.out
+pdfjadetex "${SGML_FILE_NAME}.tex" >/dev/null
+pdfjadetex "${SGML_FILE_NAME}.tex" >/dev/null
+rm -f "${SGML_FILE_NAME}.log" "${SGML_FILE_NAME}.aux" \
+ "${SGML_FILE_NAME}.tex" "${SGML_FILE_NAME}.out"
exit 0
--- Original/backends/ps 2003-03-17 18:51:48.000000000 +0100
+++ Changes/backends/ps 2007-05-21 14:16:51.000000000 +0200
@@ -6,30 +6,30 @@
export TEXINPUTS
# Convert to TeX
-$SGML_JADE -t tex -o ${SGML_FILE_NAME}.tex $SGML_ARGUMENTS
+$SGML_JADE -t tex -o "${SGML_FILE_NAME}.tex" $SGML_ARGUMENTS "$SGML_FILE"
if [ $? -ne 0 ]
then exit 1
fi
# Convert from TeX to DVI
-jadetex ${SGML_FILE_NAME}.tex >${SGML_FILE_NAME}.tmp
+jadetex "${SGML_FILE_NAME}.tex" > "${SGML_FILE_NAME}.tmp"
if [ $? -ne 0 ]
then
- cat ${SGML_FILE_NAME}.tmp
- rm ${SGML_FILE_NAME}.tmp
- rm ${SGML_FILE_NAME}.tex
+ cat "${SGML_FILE_NAME}.tmp"
+ rm "${SGML_FILE_NAME}.tmp"
+ rm "${SGML_FILE_NAME}.tex"
exit 2
fi
-rm ${SGML_FILE_NAME}.tmp
+rm "${SGML_FILE_NAME}.tmp"
# If there are unresolved references, re-run jadetex, twice
-if egrep '^LaTeX Warning: There were undefined references.$' ${SGML_FILE_NAME}.log >/dev/null 2>&1
+if egrep '^LaTeX Warning: There were undefined references.$' "${SGML_FILE_NAME}.log" >/dev/null 2>&1
then
- jadetex ${SGML_FILE_NAME}.tex >/dev/null
- jadetex ${SGML_FILE_NAME}.tex >/dev/null
+ jadetex "${SGML_FILE_NAME}.tex" >/dev/null
+ jadetex "${SGML_FILE_NAME}.tex" >/dev/null
fi
-rm -f ${SGML_FILE_NAME}.log ${SGML_FILE_NAME}.aux \
- ${SGML_FILE_NAME}.tex ${SGML_FILE_NAME}.out
+rm -f "${SGML_FILE_NAME}.log" "${SGML_FILE_NAME}.aux" \
+ "${SGML_FILE_NAME}.tex" "${SGML_FILE_NAME}.out"
# Convert from DVI to PostScript
PAPERSIZE="-t letter"
@@ -38,12 +38,12 @@
PAPERSIZE="-t a4"
fi
-dvips -R -q $PAPERSIZE ${SGML_FILE_NAME}.dvi -o ${SGML_FILE_NAME}.ps
+dvips -R -q $PAPERSIZE "${SGML_FILE_NAME}.dvi" -o "${SGML_FILE_NAME}.ps"
if [ $? -ne 0 ]
then
- rm ${SGML_FILE_NAME}.dvi
+ rm "${SGML_FILE_NAME}.dvi"
exit 3
fi
-rm ${SGML_FILE_NAME}.dvi
+rm "${SGML_FILE_NAME}.dvi"
exit 0
--- Original/backends/rtf 2000-07-21 20:15:22.000000000 +0200
+++ Changes/backends/rtf 2007-05-21 14:18:37.000000000 +0200
@@ -3,7 +3,7 @@
# This program is under GPL license. See LICENSE file for details.
# Convert to RTF
-$SGML_JADE -t rtf -o ${SGML_FILE_NAME}.rtf $SGML_ARGUMENTS
+$SGML_JADE -t rtf -o "${SGML_FILE_NAME}.rtf" $SGML_ARGUMENTS "$SGML_FILE"
if [ $? -ne 0 ]
then exit 1
fi
--- Original/backends/tex 2000-07-21 20:15:22.000000000 +0200
+++ Changes/backends/tex 2007-05-21 14:21:12.000000000 +0200
@@ -3,7 +3,7 @@
# This program is under GPL license. See LICENSE file for details.
# Convert to TeX
-$SGML_JADE -t tex -o ${SGML_FILE_NAME}.tex $SGML_ARGUMENTS
+$SGML_JADE -t tex -o "${SGML_FILE_NAME}.tex" $SGML_ARGUMENTS "$SGML_FILE"
if [ $? -ne 0 ]
then exit 1
fi
--- Original/backends/txt 2004-02-11 14:58:03.000000000 +0100
+++ Changes/backends/txt 2007-05-21 14:22:33.000000000 +0200
@@ -23,7 +23,7 @@
trap 'rm -f "$HTML"; exit' 0 1 2 3 7 13 15
# Convert to HTML
-$SGML_JADE -V nochunks -t sgml ${SGML_ARGUMENTS} >${HTML}
+$SGML_JADE -V nochunks -t sgml ${SGML_ARGUMENTS} "$SGML_FILE" >${HTML}
if [ $? -ne 0 ]
then exit 1
fi
--- Original/bin/jw.in 2003-04-30 18:21:49.000000000 +0200
+++ Changes/bin/jw.in 2007-05-21 14:28:58.000000000 +0200
@@ -246,7 +246,7 @@ then
echo -e $SGML_HELP_MESSAGE >&2
exit 1
fi
-if [ ! -s $SGML_FRONTEND ]
+if [ ! -s "$SGML_FRONTEND" ]
then
echo "`basename $0`: There is no frontend called \"$SGML_FRONTEND\"." >&2
exit 2
@@ -270,14 +270,14 @@
echo -e $SGML_HELP_MESSAGE >&2
exit 1
fi
-if [ ! -s $SGML_FILE ]
+if [ ! -s "$SGML_FILE" ]
then
echo "`basename $0`: Cannot open \"$SGML_FILE\"." >&2
exit 3
fi
# Separate the file name and the extension (if any)
-SGML_FILE_NAME=`basename $SGML_FILE`
+SGML_FILE_NAME=`basename "$SGML_FILE"`
SGML_FILE_NAME=${SGML_FILE_NAME%.*}
# Determine if we are in an XML file
@@ -416,7 +416,7 @@
fi
# Prepare the parser's arguments
-SGML_ARGUMENTS="$SGML_INCLUDE -i $SGML_TYPE -d $SGML_STYLESHEET $SGML_OPTIONS $SGML_WARNINGS $SGML_DECL $SGML_FILE"
+SGML_ARGUMENTS="$SGML_INCLUDE -i $SGML_TYPE -d $SGML_STYLESHEET $SGML_OPTIONS $SGML_WARNINGS $SGML_DECL"
# Call the backend
echo "Using catalogs: `echo $SGML_CATALOG_FILES | sed 's/:/, /g'`"
@@ -430,7 +430,7 @@
then
sh $SGML_BACKEND
else
- sh $SGML_BACKEND >$SGML_FILE_NAME.html
+ sh $SGML_BACKEND >"$SGML_FILE_NAME.html"
fi
SGML_RETURN=$?
cd "$SGML_CURRENT_DIRECTORY"
diff -urNp docbook-utils-0.6.14-orig/backends/man.in docbook-utils-0.6.14/backends/man.in
--- docbook-utils-0.6.14-orig/backends/man.in 2003-02-11 13:56:23.000000000 +0100
+++ docbook-utils-0.6.14/backends/man.in 2009-07-24 15:07:04.000000000 +0200
@@ -7,7 +7,7 @@ HELPER=$SGML_BASE_DIR/docbook/utils-@VER
TMPDIR=`mktemp -d /tmp/man.XXXXXX` || \
{ echo >&2 "man backend: could not create secure temporary directory"; exit 1;}
trap 'rm -rf "${TMPDIR}"' EXIT
-nsgmls $SGML_FILE > "${TMPDIR}/nsgmls.tmp"
+nsgmls "$SGML_FILE" > "${TMPDIR}/nsgmls.tmp"
sgmlspl $HELPER <"${TMPDIR}/nsgmls.tmp" 2>"${TMPDIR}/errs"
if [ $? -ne 0 ]
then
diff -urNp docbook-utils-0.6.14-orig/backends/texi.in docbook-utils-0.6.14/backends/texi.in
--- docbook-utils-0.6.14-orig/backends/texi.in 2002-08-05 23:20:56.000000000 +0200
+++ docbook-utils-0.6.14/backends/texi.in 2009-07-24 15:08:02.000000000 +0200
@@ -3,7 +3,7 @@
# This program is under GPL license. See LICENSE file for details.
# Convert to texinfo
-nsgmls $SGML_FILE | sgmlspl $SGML_BASE_DIR/docbook/utils-@VERSION@/helpers/docbook2texi-spec.pl >$SGML_FILE_NAME.texi
+nsgmls "$SGML_FILE" | sgmlspl $SGML_BASE_DIR/docbook/utils-@VERSION@/helpers/docbook2texi-spec.pl >$SGML_FILE_NAME.texi
if [ $? -ne 0 ]
then exit 1
fi

View File

@ -0,0 +1,15 @@
diff -urNp docbook-utils-0.6.14-orig/bin/jw.in docbook-utils-0.6.14/bin/jw.in
--- docbook-utils-0.6.14-orig/bin/jw.in 2008-11-28 10:53:09.000000000 +0100
+++ docbook-utils-0.6.14/bin/jw.in 2008-11-28 11:22:28.000000000 +0100
@@ -81,9 +81,9 @@ SGML_CATALOGS_DIR="/etc/sgml"
if [ -f "$SGML_CONF" ]
then
RE='^[:space:]*SGML_BASE_DIR[:space:]*=[:space:]*'
- SGML_BASE_DIR=`grep $RE $SGML_CONF | sed "s/$RE//"`
+ SGML_BASE_DIR=`grep --color=never $RE $SGML_CONF | sed "s/$RE//"`
RE='^[:space:]*SGML_CATALOGS_DIR[:space:]*=[:space:]*'
- SGML_CATALOGS_DIR=`grep $RE $SGML_CONF | sed "s/$RE//"`
+ SGML_CATALOGS_DIR=`grep --color=never $RE $SGML_CONF | sed "s/$RE//"`
fi
# Set frontend to use

View File

@ -0,0 +1,24 @@
diff -urNp docbook-utils-0.6.14-orig/bin/jw.in docbook-utils-0.6.14/bin/jw.in
--- docbook-utils-0.6.14-orig/bin/jw.in 2010-09-28 18:18:39.567895321 +0200
+++ docbook-utils-0.6.14/bin/jw.in 2010-09-28 18:23:25.849756994 +0200
@@ -80,9 +80,9 @@ SGML_BASE_DIR="@prefix@/share/sgml"
SGML_CATALOGS_DIR="/etc/sgml"
if [ -f "$SGML_CONF" ]
then
- RE='^[:space:]*SGML_BASE_DIR[:space:]*=[:space:]*'
+ RE='^[[:space:]]*SGML_BASE_DIR[[:space:]]*=[[:space:]]*'
SGML_BASE_DIR=`grep --color=never $RE $SGML_CONF | sed "s/$RE//"`
- RE='^[:space:]*SGML_CATALOGS_DIR[:space:]*=[:space:]*'
+ RE='^[[:space:]]*SGML_CATALOGS_DIR[[:space:]]*=[[:space:]]*'
SGML_CATALOGS_DIR=`grep --color=never $RE $SGML_CONF | sed "s/$RE//"`
fi
@@ -312,7 +312,7 @@ case $SGML_STANDARD_CATALOGS in
SGML_CATALOG_FILES=$SGML_CENTRALIZED_CATALOG
else
SGML_CATALOG_FILES=`find $SGML_BASE_DIR -name catalog`
- SGML_CATALOG_FILES=`echo "$SGML_CATALOG_FILES" | tr [:space:] :`
+ SGML_CATALOG_FILES=`echo "$SGML_CATALOG_FILES" | tr [[:space:]] :`
fi
;;
no) SGML_CATALOG_FILES=""

View File

@ -0,0 +1,12 @@
diff -urNp docbook-utils-0.6.14-orig/bin/jw.in docbook-utils-0.6.14/bin/jw.in
--- docbook-utils-0.6.14-orig/bin/jw.in 2010-05-31 16:21:46.379401250 +0200
+++ docbook-utils-0.6.14/bin/jw.in 2010-05-31 16:23:55.348413466 +0200
@@ -438,5 +438,7 @@ cd "$SGML_CURRENT_DIRECTORY"
if [ $SGML_RETURN -gt 0 ]
then exit `expr 7 + $SGML_RETURN`
fi
-echo "Done."
+#Final echo commented out, it causes manpage noise when generating some
+#manpages with new perl(#513271, #587012)
+#echo "Done."
exit 0

View File

@ -0,0 +1,12 @@
diff -urNp docbook-utils-0.6.14-orig/bin/jw.in docbook-utils-0.6.14/bin/jw.in
--- docbook-utils-0.6.14-orig/bin/jw.in 2009-10-07 14:41:19.000000000 +0200
+++ docbook-utils-0.6.14/bin/jw.in 2009-10-07 14:45:22.000000000 +0200
@@ -368,7 +368,7 @@ case "$SGML_OPTIONS" in
fi
if [ -n "$papersize" ]
then
- SGML_OPTIONS="-V paper-type=$papersize $SGML_OPTIONS"
+ SGML_OPTIONS="-V %paper-type%=$papersize $SGML_OPTIONS"
fi
;;
esac

View File

@ -0,0 +1,15 @@
diff -urNp docbook-utils-0.6.14-orig/doc/man/jw.1 docbook-utils-0.6.14/doc/man/jw.1
--- docbook-utils-0.6.14-orig/doc/man/jw.1 2004-02-11 15:16:21.000000000 +0100
+++ docbook-utils-0.6.14/doc/man/jw.1 2009-08-13 10:44:03.000000000 +0200
@@ -192,6 +192,11 @@ by calling \fBJade\fR or
\fBOpenJade\fR\&. The resulting file can
then be inported into \fBMS Word\fR
or one of its Linux replacement programs.
+
+\fBNote\fR - The original picture must be
+present when RTF document is viewed, because
+the RTF documents created by \fBOpenJade\fR
+includes pictures by reference.
.TP
\fB\fItex\fB\fR
Converts to TeX by calling \fBJade\fR or

View File

@ -0,0 +1,24 @@
diff -urNp docbook-utils-0.6.14-orig/backends/man.in docbook-utils-0.6.14/backends/man.in
--- docbook-utils-0.6.14-orig/backends/man.in 2009-07-24 15:17:42.000000000 +0200
+++ docbook-utils-0.6.14/backends/man.in 2009-07-24 15:20:57.000000000 +0200
@@ -7,7 +7,7 @@ HELPER=$SGML_BASE_DIR/docbook/utils-@VER
TMPDIR=`mktemp -d /tmp/man.XXXXXX` || \
{ echo >&2 "man backend: could not create secure temporary directory"; exit 1;}
trap 'rm -rf "${TMPDIR}"' EXIT
-nsgmls "$SGML_FILE" > "${TMPDIR}/nsgmls.tmp"
+nsgmls ${SGML_INCLUDE} "$SGML_FILE" > "${TMPDIR}/nsgmls.tmp"
sgmlspl $HELPER <"${TMPDIR}/nsgmls.tmp" 2>"${TMPDIR}/errs"
if [ $? -ne 0 ]
then
diff -urNp docbook-utils-0.6.14-orig/bin/jw.in docbook-utils-0.6.14/bin/jw.in
--- docbook-utils-0.6.14-orig/bin/jw.in 2009-07-24 15:17:42.000000000 +0200
+++ docbook-utils-0.6.14/bin/jw.in 2009-07-24 15:18:51.000000000 +0200
@@ -423,7 +423,7 @@ echo "Using catalogs: `echo $SGML_CATALO
echo "Using stylesheet: $SGML_STYLESHEET"
echo "Working on: $SGML_FILE"
cd "$SGML_OUTPUT_DIRECTORY"
-export SGML_JADE SGML_FILE_NAME SGML_ARGUMENTS
+export SGML_JADE SGML_FILE_NAME SGML_ARGUMENTS SGML_INCLUDE
export SGML_CATALOG_FILES SGML_BASE_DIR SGML_FILE SGML_STYLESHEET
NOCHUNKS=`echo $SGML_OPTIONS | grep nochunks`
if [ -z "$NOCHUNKS" ]

View File

@ -0,0 +1,32 @@
--- docbook-utils-0.6.14/bin/jw.in.spaces 2003-04-30 17:21:49.000000000 +0100
+++ docbook-utils-0.6.14/bin/jw.in 2004-08-19 09:33:34.989426640 +0100
@@ -405,9 +405,9 @@
echo -e $SGML_HELP_MESSAGE >&2
exit 1
fi
-if [ ! -d $SGML_OUTPUT_DIRECTORY ]
+if [ ! -d "$SGML_OUTPUT_DIRECTORY" ]
then
- mkdir $SGML_OUTPUT_DIRECTORY 2>/dev/null
+ mkdir "$SGML_OUTPUT_DIRECTORY" 2>/dev/null
if [ $? -ne 0 ]
then
echo "`basename $0`: Could not create \"$SGML_OUTPUT_DIRECTORY\" output directory" >&2
@@ -422,7 +422,7 @@
echo "Using catalogs: `echo $SGML_CATALOG_FILES | sed 's/:/, /g'`"
echo "Using stylesheet: $SGML_STYLESHEET"
echo "Working on: $SGML_FILE"
-cd $SGML_OUTPUT_DIRECTORY
+cd "$SGML_OUTPUT_DIRECTORY"
export SGML_JADE SGML_FILE_NAME SGML_ARGUMENTS
export SGML_CATALOG_FILES SGML_BASE_DIR SGML_FILE SGML_STYLESHEET
NOCHUNKS=`echo $SGML_OPTIONS | grep nochunks`
@@ -433,7 +433,7 @@
sh $SGML_BACKEND >$SGML_FILE_NAME.html
fi
SGML_RETURN=$?
-cd $SGML_CURRENT_DIRECTORY
+cd "$SGML_CURRENT_DIRECTORY"
if [ $SGML_RETURN -gt 0 ]
then exit `expr 7 + $SGML_RETURN`

View File

@ -0,0 +1,12 @@
diff -urNp original/txt new/txt
--- original/backends/txt 2007-11-05 18:44:52.000000000 +0100
+++ new/backends/txt 2007-11-22 15:21:36.000000000 +0100
@@ -13,7 +13,7 @@ then
elif [ -x /usr/bin/w3m ]
then
CONVERT=/usr/bin/w3m
- ARGS="-dump"
+ ARGS="-T text/html -dump"
else
echo >&2 "No way to convert HTML to text found."
exit 1

1564
SOURCES/docbook2man-spec.pl Executable file

File diff suppressed because it is too large Load Diff

1061
SOURCES/gdp-both.dsl Normal file

File diff suppressed because it is too large Load Diff

521
SPECS/docbook-utils.spec Normal file
View File

@ -0,0 +1,521 @@
Name: docbook-utils
Version: 0.6.14
Release: 44%{?dist}
Group: Applications/Text
Summary: Shell scripts for managing DocBook documents
URL: http://sources.redhat.com/docbook-tools/
License: GPLv2+
Requires: docbook-style-dsssl >= 1.72
Requires: docbook-dtds
Requires: perl-SGMLSpm >= 1.03ii
Requires: which grep gawk
Requires: text-www-browser
# In the absence of an already-installed text-www-browser, prefer elinks
Suggests: elinks
BuildRequires: perl-generators
BuildRequires: perl-SGMLSpm, openjade, docbook-style-dsssl
BuildArch: noarch
Source0: ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tar.gz
Source1: db2html
Source2: gdp-both.dsl
#We will ship newer version of docbook2man-spec.pl for better handling of docbook2man conversion
#You could check it at http://sourceforge.net/projects/docbook2x/
Source3: docbook2man-spec.pl
Obsoletes: stylesheets < %{version}-%{release}
Provides: stylesheets = %{version}-%{release}
Patch0: docbook-utils-spaces.patch
Patch1: docbook-utils-2ndspaces.patch
Patch2: docbook-utils-w3mtxtconvert.patch
Patch3: docbook-utils-grepnocolors.patch
Patch4: docbook-utils-sgmlinclude.patch
Patch5: docbook-utils-rtfmanpage.patch
Patch6: docbook-utils-papersize.patch
Patch7: docbook-utils-nofinalecho.patch
Patch8: docbook-utils-newgrep.patch
%description
This package contains scripts are for easy conversion from DocBook
files to other formats (for example, HTML, RTF, and PostScript), and
for comparing SGML files.
%package pdf
Requires: jadetex >= 2.5
Requires: docbook-utils = %{version}
Requires: tex(dvips)
Requires: texlive-collection-fontsrecommended
Requires: texlive-collection-htmlxml
License: GPL+
Group: Applications/Text
Obsoletes: stylesheets-db2pdf <= %{version}-%{release}
Provides: stylesheets-db2pdf = %{version}-%{release}
Summary: A script for converting DocBook documents to PDF format
URL: http://sources.redhat.com/docbook-tools/
%description pdf
This package contains a script for converting DocBook documents to
PDF format.
%prep
%setup -q
%patch0 -p1 -b .spaces
%patch1 -p1 -b .2ndspaces
%patch2 -p1 -b .w3mtxtconvert
%patch3 -p1 -b .grepnocolors
%patch4 -p1 -b .sgmlinclude
%patch5 -p1 -b .rtfman
%patch6 -p1 -b .papersize
%patch7 -p1 -b .finalecho
%patch8 -p1 -b .newgrep
%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
make %{?_smp_mflags}
%install
export DESTDIR=$RPM_BUILD_ROOT
make install prefix=%{_prefix} mandir=%{_mandir} docdir=/tmp
for util in dvi html pdf ps rtf
do
ln -s docbook2$util $RPM_BUILD_ROOT%{_bindir}/db2$util
ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/db2$util.1
done
ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/docbook2txt.1
# db2html is not just a symlink, as it has to create the output directory
rm -f $RPM_BUILD_ROOT%{_bindir}/db2html
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/db2html
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
install -p -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl
rm -rf $RPM_BUILD_ROOT/tmp
%clean
%files
%defattr (-,root,root,-)
%doc README COPYING TODO
%{_bindir}/jw
%{_bindir}/docbook2html
%{_bindir}/docbook2man
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%attr(0755,root,root) %{_bindir}/db2html
%{_bindir}/db2rtf
%{_bindir}/sgmldiff
%{_datadir}/sgml/docbook/utils-%{version}
%{_mandir}/*/db2dvi.*
%{_mandir}/*/db2html.*
%{_mandir}/*/db2ps.*
%{_mandir}/*/db2rtf.*
%{_mandir}/*/docbook2html.*
%{_mandir}/*/docbook2rtf.*
%{_mandir}/*/docbook2man.*
%{_mandir}/*/docbook2tex.*
%{_mandir}/*/docbook2texi.*
%{_mandir}/*/docbook2txt.*
%{_mandir}/*/jw.*
%{_mandir}/*/sgmldiff.*
%{_mandir}/*/*-spec.*
%files pdf
%defattr (-,root,root,-)
%{_bindir}/docbook2pdf
%{_bindir}/docbook2dvi
%{_bindir}/docbook2ps
%{_bindir}/db2dvi
%{_bindir}/db2pdf
%{_bindir}/db2ps
%{_mandir}/*/db2pdf.*
%{_mandir}/*/docbook2pdf.*
%{_mandir}/*/docbook2dvi.*
%{_mandir}/*/docbook2ps.*
%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.14-44
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.14-43
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.14-42
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
* Fri Jul 01 2016 Stephen Gallagher <sgallagh@redhat.com> - 0.6.14-41
- Add "Suggests: elinks" to satisfy text-www-browser
- Resolves: rhbz#1310897
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.14-40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.6.14-36
- Perl 5.18 rebuild
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
* Tue Dec 11 2012 Ondrej Vasik <ovasik@redhat.com> 0.6.14-34
- fix the sgmlinclude patch (#797120)
* Mon Nov 12 2012 Ondrej Vasik <ovasik@redhat.com> 0.6.14-33
- add missing requires in pdf subpackage added due to texlive
update (#875344)
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Wed May 30 2012 Ondrej Vasik <ovasik@redhat.com> 0.6.14-31
- fix escaping of double-quotes in docbook2man (#826139)
- fix the wrong format of C-style functions in docbook2man (#662869)
- fix stray .fi at the end of funcsynopsis section (#662869)
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Fri Nov 25 2011 Ondrej Vasik <ovasik@redhat.com> 0.6.14-29
- improve handling of jw options in db2html,respect
--output (#756928)
* Fri Nov 25 2011 Ondrej Vasik <ovasik@redhat.com> 0.6.14-28
- cleanup output dir for empty db2html input (#756930)
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Mon Oct 04 2010 Ondrej Vasik <ovasik@redhat.com> 0.6.14-26
- fix autogenerated manpage header format(#639347)
* Tue Sep 28 2010 Ondrej Vasik <ovasik@redhat.com> 0.6.14-25
- make [[:space:]] class syntax compatible with new grep(#637594)
* Mon May 31 2010 Ondrej Vasik <ovasik@redhat.com> 0.6.14-24
- do not produce final echo, it causes some manpage noise
with new perl(#513271, #587012)
* Tue Oct 27 2009 Ondrej Vasik <ovasik@redhat.com> 0.6.14-23
- do not obsolete self
* Mon Oct 12 2009 Ondrej Vasik <ovasik@redhat.com> 0.6.14-22
- fix url in pdf subpackage
* Wed Oct 07 2009 Ondrej Vasik <ovasik@redhat.com> 0.6.14-21
- fix locale-based papersize selection (#527395)
* Thu Aug 27 2009 Ondrej Vasik <ovasik@redhat.com> 0.6.14-20
- provide symlink manpage for docbook2txt
* Thu Aug 13 2009 Ondrej Vasik <ovasik@redhat.com> 0.6.14-19
- add note about openjade limitation in rtf section of jw
manpage(#516942)
* Fri Jul 24 2009 Ondrej Vasik <ovasik@redhat.com> 0.6.14-18
- another quoted variable fixes for spaces in filenames
- use SGML_INCLUDE in man backend(upstream)
- change upstream URL to something useful
- escape dots and single quotes in column 1 in docbook2man-spec.pl
* Mon Jun 29 2009 Ondrej Vasik <ovasik@redhat.com> 0.6.14-17
- fix pdf subpackage requires(to match TeXLive2008 provides)
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Fri Nov 28 2008 Ondrej Vasik <ovasik@redhat.com> 0.6.14-15
- require grep,gawk, fix jw script to find SGML_BASE_DIR even
with grep with colors(#473278), finish funcsynopsis patch
drop
* Mon Sep 08 2008 Ondrej Vasik <ovasik@redhat.com> 0.6-14-14
- ship new version of docbook2man-spec.pl to avoid issues
with the old one
- dropped funcsynopsis patch - docbook2man-spec.pl from
tarball used no longer
* Thu Nov 22 2007 Ondrej Vasik <ovasik@redhat.com> 0.6.14-13
- fix of w3m params while converting to txt
* Tue Nov 05 2007 Ondrej Vasik <ovasik@redhat.com> 0.6.14-12
- Merge Review(#225705)
- corrected some other packaging guidelines issues
* Thu Nov 01 2007 Ondrej Vasik <ovasik@redhat.com> 0.6.14-11
- rpmlint check
- fixed: dist tag, summary ended with dot, license tag,
versioned provides/obsoletes + some cosmetic changes
* Fri Oct 12 2007 Ondrej Vasik <ovasik@redhat.com> 0.6.14-10
- generalized text browser requirement(#174566)
* Tue Sep 18 2007 Ondrej Vasik <ovasik@redhat.com> 0.6.14-9
- fixed typo in Source URL
* Mon May 21 2007 Ondrej Vasik <ovasik@redhat.com> 0.6.14-8
- Added more fixes for handling spaces in directory name
- SGML_FILE variable is factored out of SGML_ARGUMENTS
- (changes taken from upstream)
* Tue Apr 24 2007 Petr Mejzlik <pmejzlik@redhat.com> 0.6.14-7
- add missing dist tag, bump release
* Tue Apr 24 2007 Petr Mejzlik <pmejzlik@redhat.com> 0.6.14-6
- Fixed a minor bug in processing of <funcsynopsisinfo> (bug #217649)
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.6.14-5.1
- rebuild
* Thu Mar 09 2006 Florian La Roche <laroche@redhat.com>
- use 755 instead of 775 for /usr/bin/db2html
* Thu Jan 5 2006 Tim Waugh <twaugh@redhat.com> 0.6.14-5
- Move dvi and ps tools into pdf sub-package (bug #174897).
* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt
* Thu Aug 19 2004 Tim Waugh <twaugh@redhat.com> 0.6.14-4
- Apply CVS patch to protect spaces in jw (bug #130329).
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Wed Feb 11 2004 Tim Waugh <twaugh@redhat.com> 0.6.14-1
- 0.6.14.
- All patches integrated.
* Thu Nov 27 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-9
- Requires jadetex (bug #110755).
* Thu Nov 27 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-8
- Build requires docbook-style-dsssl (bug #110754).
* Tue Jun 10 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-7
- Fix manpage output: escape dots in column 1 (bug #97087).
* Tue May 27 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-6
- Rebuild.
* Fri May 23 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-5
- Build requires openjade.
* Thu May 22 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-4
- Require elinks (bug #91472).
* Thu May 1 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-3
- Move docbook2pdf man pages to pdf subpackage (bug #90041).
* Wed Apr 30 2003 Elliot Lee <sopwith@redhat.com> 0.6.13-2
- Add s/head -1/head -n 1/ patch to make ppc64 happy (among other things)
* Mon Mar 17 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-1
- 0.6.13, fixing bug #86152.
* Fri Feb 14 2003 Elliot Lee <sopwith@redhat.com> 0.6.12-6
- tetex-dvips requirement should go on main package (not just pdf
subpackage) because docbook2ps requires dvips too.
* Wed Feb 5 2003 Tim Waugh <twaugh@redhat.com> 0.6.12-5
- Build requires perl-SGMLSpm (bug #83474).
* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.6.12-4
- rebuilt
* Mon Jan 13 2003 Tim Waugh <twaugh@redhat.com> 0.6.12-3
- Fixes from CVS.
* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 0.6.12-2
- No longer need separate stylesheet for A4.
- Don't install files not packaged.
* Wed Oct 16 2002 Tim Waugh <twaugh@redhat.com> 0.6.12-1
- 0.6.12.
* Thu Jun 27 2002 Tim Waugh <twaugh@redhat.com> 0.6.11-2
- 0.6.11.
* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.6.10-5
- automated rebuild
* Sun May 26 2002 Tim Powers <timp@redhat.com> 0.6.10-4
- automated rebuild
* Mon May 20 2002 Tim Waugh <twaugh@redhat.com> 0.6.10-3
- Improvements for man page output.
* Fri May 3 2002 Tim Waugh <twaugh@redhat.com> 0.6.10-2
- Don't define graphic-default-extension in the stylesheet---it messes
up PS+PDF output from the same source.
* Wed May 1 2002 Tim Waugh <twaugh@redhat.com> 0.6.10-1
- 0.6.10.
- No longer need automake files.
- No longer need '.', jw-custom, '@', pdf, nochunks, txt, '-o', manpage,
sdata, help, ol, '-V', sgml_xml, excl, link, pagesize, or texinputs
patches.
* Fri Apr 12 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-25
- Turned off use-id-as-filename in gdp-both.dsl.
* Fri Mar 22 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-24
- Pick up images from the right place (bug #61652).
* Wed Mar 6 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-23
- Add URL tags, and provide: stylesheets and stylesheets-pdf (bug #60226).
* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-22
- Rebuild in new environment.
* Tue Feb 5 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-21
- Edited the wrong file when making the patch.. fix breakage introduced
by trying to fix bug #58375.
* Tue Feb 5 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-20
- Fix docbook frontend (bug #51478).
- Make the old db2html script understand the .xml filename extension
(bug #59194).
- Determine page size to use automatically from LC_PAPER (bug #58375).
* Fri Jan 25 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-19
- Require the DocBook DTDs.
* Tue Jan 22 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-18
- Fix bug #46913 again, since the last change broke it.
* Sun Jan 20 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-16
- Several more fixes that will be in the next upstream version.
* Sat Jan 19 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-15
- Support -V (bug #31518).
* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 0.6.9-14
- automated rebuild
* Wed Jan 9 2002 Tim Waugh <twaugh@redhat.com> 0.6.9-13
- Fix generated man output for orderedlists.
* Mon Dec 3 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-12
- Fix generated man output for funcprototypes with more than one
paramdef.
* Wed Nov 28 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-11
- Rebuild to fix man pages (bug #56449).
* Thu Nov 22 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-10
- Fix jw behaviour when executed with no parameter.
- Fix 'jw --help'.
* Wed Nov 14 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-9
- Actually apply the patch that makes man backend understand &minus;.
- Also don't redefine <comment> and <remark> for HTML output either.
* Tue Nov 13 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-8
- Default stylesheet: <comment> and <remark> as rationale markers
probably isn't really appropriate for general use.
- Default stylesheet: larger top margin to make some RTF readers
happy (bug #56011).
- Make man backend understand &minus;.
- Specfile cleanups (%%{_bindir}, %%{_docdir}).
* Mon Nov 12 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-7
- The fix for bug #53546 broke '--dsl none'. Fix it.
* Fri Nov 2 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-6
- Explicit synopsis for each docbook2[xxx] command in the jw man page.
- Clean up all temporary files in pdf backend.
* Mon Oct 1 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-5
- Fix ADDRESS element output (bug #50605).
* Fri Sep 28 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-4
- Adjust stylesheet so that it works with docbook-dsssl 1.72.
- Fix jw so that -o and -d can be used together (bug #53546).
* Thu Sep 6 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-3
- Fix txt backend so that it works.
- Fix jw so that it uses the HTML stylesheet for text backends.
- Use links if lynx isn't available, in txt backend.
* Mon Aug 13 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-2
- Larger bottom margin in gdp-both.dsl to fix RTF output (bug #49677).
* Tue Jul 3 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-1
- 0.6.9.
- With --nochunks, send output to a file instead of stdout (bug #46913).
* Mon Jun 4 2001 Tim Waugh <twaugh@redhat.com> 0.6.8-2
- Make sure COPYING isn't installed as a symlink.
* Mon May 21 2001 Tim Waugh <twaugh@redhat.com> 0.6.8-1
- 0.6.8.
* Mon May 21 2001 Tim Waugh <twaugh@redhat.com> 0.6-14
- db2html: copy admon graphics to output directory (bug #40143).
- Require docbook-style-dsssl 1.64-2 for symbolic link used by db2html.
- db2html: handle arguments with spaces better.
* Sat Mar 24 2001 Tim Waugh <twaugh@redhat.com> 0.6-13
- Fix man pages (bug #32820).
* Mon Mar 12 2001 Tim Waugh <twaugh@redhat.com>
- Fix argument parsing in docbook2xxx (bug #31518).
- Fix argument passing in db2html (bug #31520).
- Fix pdf generation (bug #31524).
* Fri Feb 23 2001 Tim Waugh <twaugh@redhat.com>
- Allow the use of custom backends and frontends (bug #29067).
* Fri Feb 16 2001 Tim Waugh <twaugh@redhat.com>
- Use gdp-both.dsl as the default stylesheet.
* Mon Feb 12 2001 Tim Waugh <twaugh@redhat.com>
- REALLY only create output directory for db2html (duh).
- Handle filenames with dots in properly.
* Sun Feb 11 2001 Tim Waugh <twaugh@redhat.com>
- Only create output directory for db2html (bug #27092). (docbook2html
does not create an output directory in the upstream version, but
the compatibility script has been made to do so.)
* Mon Jan 22 2001 Tim Waugh <twaugh@redhat.com>
- Move the jadetex requirement to the -pdf subpackage.
* Tue Jan 16 2001 Tim Waugh <twaugh@redhat.com>
- Put output files in new directory instead of current directory.
* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Don't play so many macro games.
- Be sure to own utils directory.
* Fri Jan 12 2001 Tim Waugh <twaugh@redhat.com>
- Split off docbook2pdf into subpackage for dependency reasons.
* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Use %%{_mandir} and %%{_prefix}.
- db2* symlinks.
- Obsolete stylesheets (and -db2pdf).
- Change Copyright: to License:.
- Remove Packager: line.
- Reword description.
* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.